﻿__copyright__ = "Copyright (c) 2013 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
from app.selinuxutil import Policy
import sys
import os
import platform
import app.util
import app.defaults

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create work folders"

    def createFolderAndChown(self, folder, user, group):
        app.util.runSystem("mkdir -p %s " % folder, self.log)
        app.util.runSystem("chown -R %s:%s %s" % (user, group, folder), self.log)

    def createRuntime(self):
        self.createFolderAndChown(self.cfg["PHOENIX_TMPDIR"], self.cfg['JAMES_USER'], self.cfg['JAMES_GROUP'])
        self.createFolderAndChown(self.cfg["PHOENIX_WORKDIR"], self.cfg['JAMES_USER'], self.cfg['JAMES_GROUP'])

        initScript = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, "phoenix", "bin", "phoenix.sh")
        if not Policy.isSELinuxPermissionsApplied(initScript):
            Policy.applySELinuxPermissions(initScript)

        jamesRuntimeTmpDir = os.path.split(self.cfg["PHOENIX_TMPDIR"])[0]
        if not Policy.isSELinuxPermissionsApplied(jamesRuntimeTmpDir):
            Policy.applySELinuxPermissions(jamesRuntimeTmpDir)
